<?php

use yii\db\Migration;

/**
 * Class m240808_200218_Herramienta
 */
class m240808_200218_Herramienta extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('Herramienta', [
            "id" => $this->string(36),
            "nombre" => $this->string(100),
            "idTipoHerramienta" => $this->string(36),
            "costo" => $this->float(),
            "serie" => $this->string(100),
            "fechaCompra" => $this->timestamp()->append(" with time zone"),
            "estatus" => $this->string(100),
            "descripcion" => $this->string(100),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
          ]);
          $this->addPrimaryKey("HerramientaPK", "Herramienta", "id");
    
          $this->addForeignKey("HerramientaTipoHerramientaFK", "Herramienta", "idTipoHerramienta", "TipoHerramienta", "id");
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey("HerramientaTipoHerramientaFK", "Herramienta");
        $this->dropTable('Herramienta');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240808_200218_Herramienta cannot be reverted.\n";

        return false;
    }
    */
}
